#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_data_available, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "");

SYMBOL_CRC(iio_dma_buffer_block_done, 0x396bc460, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0xc5d54de2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0x8c9b4b09, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0x46b14abf, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0xa4e9147d, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0x627dd4f1, "_gpl");
SYMBOL_CRC(iio_dma_buffer_data_available, 0x5230dc1a, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0xb28912a3, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0x6fd76f94, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0xed3d5bd9, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0x5e6b2df2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0x8c790f4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ed78da4, "dma_free_attrs" },
	{ 0x70deb7e0, "iio_buffer_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa3af15fe, "iio_buffer_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2964344, "__wake_up" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x1174f440, "dma_alloc_attrs" },
	{ 0x7e3abd1b, "iio_buffer_get" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

